# ApplicationFramework
PTKernel
PColStd

# PColStd_SeqNodeOfHSequenceOfReal Class Reference

`#include <PColStd_SeqNodeOfHSequenceOfReal.hxx>`

Inheritance diagram for PColStd_SeqNodeOfHSequenceOfReal:

[legend]

## Public Member Functions

Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfReal (const Handle(PColStd_SeqNodeOfHSequenceOfReal)&TheLast, const Standard_Real &TheItem)
Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfReal (const Standard_Real &TheItem, const Handle(PColStd_SeqNodeOfHSequenceOfReal)&TheFirst)
Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfReal (const Handle(PColStd_SeqNodeOfHSequenceOfReal)&ThePrevious, const Handle(PColStd_SeqNodeOfHSequenceOfReal)&TheNext, const Standard_Real &TheItem)
Standard_EXPORT Standard_Real | Value () const
Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfReal | Next () const
Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfReal | Previous () const
Standard_EXPORT void | SetValue (const Standard_Real &AnItem)
Standard_EXPORT void | SetNext (const Handle(PColStd_SeqNodeOfHSequenceOfReal)&ANode)
Standard_EXPORT void | SetPrevious (const Handle(PColStd_SeqNodeOfHSequenceOfReal)&ANode)
| PColStd_SeqNodeOfHSequenceOfReal ()
| PColStd_SeqNodeOfHSequenceOfReal (const Storage_stCONSTclCOM &a)
| Handle (PColStd_SeqNodeOfHSequenceOfReal) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfRealMyPrevious() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfRealMyPrevious (const Handle(PColStd_SeqNodeOfHSequenceOfReal)&p)
Standard_Real | _CSFDB_GetPColStd_SeqNodeOfHSequenceOfRealMyItem () const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfRealMyItem (const Standard_Real p)
| Handle (PColStd_SeqNodeOfHSequenceOfReal) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfRealMyNext() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfRealMyNext (const Handle(PColStd_SeqNodeOfHSequenceOfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColStd_SeqNodeOfHSequenceOfReal | MyPrevious
Standard_Real | MyItem
Handle_PColStd_SeqNodeOfHSequenceOfReal | MyNext

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfReal::PColStd_SeqNodeOfHSequenceOfReal | ( | const Handle(PColStd_SeqNodeOfHSequenceOfReal)& | TheLast,
|  | const Standard_Real & | TheItem
| ) |

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfReal::PColStd_SeqNodeOfHSequenceOfReal | ( | const Standard_Real & | TheItem,
|  | const Handle(PColStd_SeqNodeOfHSequenceOfReal)& | TheFirst
| ) |

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfReal::PColStd_SeqNodeOfHSequenceOfReal | ( | const Handle(PColStd_SeqNodeOfHSequenceOfReal)& | ThePrevious,
|  | const Handle(PColStd_SeqNodeOfHSequenceOfReal)& | TheNext,
|  | const Standard_Real & | TheItem
| ) |

PColStd_SeqNodeOfHSequenceOfReal::PColStd_SeqNodeOfHSequenceOfReal | ( |  | ) | `[inline]`

PColStd_SeqNodeOfHSequenceOfReal::PColStd_SeqNodeOfHSequenceOfReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PColStd_SeqNodeOfHSequenceOfReal::_CSFDB_GetPColStd_SeqNodeOfHSequenceOfRealMyItem | ( |  | ) | const`[inline]`

void PColStd_SeqNodeOfHSequenceOfReal::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfRealMyItem | ( | const Standard_Real | p | ) | `[inline]`

void PColStd_SeqNodeOfHSequenceOfReal::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfRealMyNext | ( | const Handle(PColStd_SeqNodeOfHSequenceOfReal)& | p | ) | `[inline]`

void PColStd_SeqNodeOfHSequenceOfReal::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfRealMyPrevious | ( | const Handle(PColStd_SeqNodeOfHSequenceOfReal)& | p | ) | `[inline]`

Standard_EXPORT const PColStd_SeqNodeOfHSequenceOfReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColStd_SeqNodeOfHSequenceOfReal::Handle | ( | PColStd_SeqNodeOfHSequenceOfReal |  | ) | const`[inline]`

PColStd_SeqNodeOfHSequenceOfReal::Handle | ( | PColStd_SeqNodeOfHSequenceOfReal |  | ) | const`[inline]`

Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfReal PColStd_SeqNodeOfHSequenceOfReal::Next | ( |  | ) | const

Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfReal PColStd_SeqNodeOfHSequenceOfReal::Previous | ( |  | ) | const

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfReal::SetNext | ( | const Handle(PColStd_SeqNodeOfHSequenceOfReal)& | ANode | ) |

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfReal::SetPrevious | ( | const Handle(PColStd_SeqNodeOfHSequenceOfReal)& | ANode | ) |

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfReal::SetValue | ( | const Standard_Real & | AnItem | ) |

Standard_EXPORT Standard_Real PColStd_SeqNodeOfHSequenceOfReal::Value | ( |  | ) | const

## Field Documentation

Standard_Real PColStd_SeqNodeOfHSequenceOfReal::MyItem `[private]`

Handle_PColStd_SeqNodeOfHSequenceOfReal PColStd_SeqNodeOfHSequenceOfReal::MyNext `[private]`

Handle_PColStd_SeqNodeOfHSequenceOfReal PColStd_SeqNodeOfHSequenceOfReal::MyPrevious `[private]`

The documentation for this class was generated from the following file:

- PColStd_SeqNodeOfHSequenceOfReal.hxx